﻿@model User

@{
    ViewBag.Title = "Edit user";
    Layout = "_Layout";
}

<h2>@ViewBag.Title</h2>

@using (Html.BeginForm("Edit", "User", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    
    @Html.HiddenFor(model => model.Id)
    
    <div class="form-group">
        <label asp-for="Nickname">Имя:</label>
        <input asp-for="Nickname" class="form-control" />
        <span asp-validation-for="Nickname" class="text-danger"></span>
    </div>

    <div class="form-group">
        <label asp-for="Birthdate">Дата регистрации:</label>
        <input asp-for="Birthdate" class="form-control" />
        <span asp-validation-for="Birthdate" class="text-danger"></span>
    </div>

    <button type="submit" class="btn btn-primary">Save</button>
}